#### D.6.20.8 is_regs

Procedure from library `sing.lib` (see sing_lib).

Usage:
  is_regs(i[,id]); i poly, id ideal or module (default: id=0)

Return:
  1 if generators of i are a regular sequence modulo id, 0 otherwise

Note:
  Let R be the basering and id a submodule of R^n. The procedure checks injectivity of multiplication with i[k] on R^n/id+i[1..k-1]. The basering may be a quotient ring.
  printlevel >=0: display comments (default)
  printlevel >=1: display comments during computation

Example:

    LIB "sing.lib";
    int p      = printlevel;
    printlevel = 1;
    ring r1    = 32003,(x,y,z),ds;
    ideal i    = x8,y8,(x+y)^4;
    is_regs(i);
    ==> // checking whether element 1 is regular mod 1 .. 0
    ==> // checking whether element 2 is regular mod 1 .. 1
    ==> // checking whether element 3 is regular mod 1 .. 2
    ==> // elements 1..2 are regular, 3 is not regular mod 1..2
    ==> 0
    module m   = [x,0,y];
    i          = x8,(x+z)^4;;
    is_regs(i,m);
    ==> // checking whether element 1 is regular mod 1 .. 0
    ==> // checking whether element 2 is regular mod 1 .. 1
    ==> // elements are a regular sequence of length 2
    ==> 1
    printlevel = p;

User manual for Singular version 4.4.1, 2025, generated by texi2html.